GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
scope_level Struct Reference

## Public Member Functions
| scope_level (const gdb_xml_element *elements_=NULL)

## Public Attributes
const struct gdb_xml_element * | elements
const struct gdb_xml_element * | element
unsigned int | seen
std::string | body

## Detailed Description

Definition at line 45 of file xml-support.c.

## Constructor & Destructor Documentation

## ◆ scope_level()

scope_level::scope_level | ( | const gdb_xml_element * | elements_ = `NULL` | ) |
| inline explicit

Definition at line 47 of file xml-support.c.

## Member Data Documentation

## ◆ body

std::string scope_level::body

Definition at line 64 of file xml-support.c.

Referenced by gdb_xml_parser::body_text(), and gdb_xml_parser::end_element().

## ◆ element

const struct gdb_xml_element* scope_level::element

Definition at line 57 of file xml-support.c.

Referenced by gdb_xml_parser::end_element(), and gdb_xml_parser::start_element().

## ◆ elements

const struct gdb_xml_element* scope_level::elements

Definition at line 54 of file xml-support.c.

Referenced by gdb_xml_parser::end_element(), and gdb_xml_parser::start_element().

## ◆ seen

unsigned int scope_level::seen

Definition at line 61 of file xml-support.c.

Referenced by gdb_xml_parser::end_element(), and gdb_xml_parser::start_element().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/xml-support.c